> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Company Links



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/contacts/company-links/{linkId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/contacts/company-links/{linkId}:
    patch:
      tags:
        - Company Links
      summary: Update Company Links
      operationId: CompanyLinksController_update_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: linkId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCompanyLinkDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyLinkResponseDto'
components:
  schemas:
    UpdateCompanyLinkDto:
      type: object
      properties:
        mainPersonId:
          anyOf:
            - type: string
              pattern: ^\d+$
            - type: 'null'
        repPersonId:
          anyOf:
            - type: string
              pattern: ^\d+$
            - type: 'null'
        status:
          type: string
          enum:
            - active
            - pending
            - terminated
      additionalProperties: false
    CompanyLinkResponseDto:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
          enum:
            - active
            - pending
            - terminated
        mainCompany:
          $ref: '#/components/schemas/CompanyLinkCompanyDto'
        repCompany:
          $ref: '#/components/schemas/CompanyLinkCompanyDto'
        mainPerson:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/CompanyLinkPersonDto'
        repPerson:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/CompanyLinkPersonDto'
        createdAt:
          type: string
      required:
        - id
        - status
        - mainCompany
        - repCompany
        - mainPerson
        - repPerson
        - createdAt
    CompanyLinkCompanyDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        tags:
          type: array
          items:
            type: string
        status:
          enum:
            - preferred
            - approved
            - pending_approval
            - inactive
          type: string
        primaryPerson:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/CompanyLinkPersonDto'
      required:
        - id
        - name
        - tags
        - status
        - primaryPerson
    CompanyLinkPersonDto:
      type: object
      properties:
        id:
          type: string
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
      required:
        - id
        - firstName
        - lastName
        - email

````